﻿@import url('https://fonts.googleapis.com/css?family=Roboto:400,400i,500,500i,700,700i|Roboto+Condensed:700');
/* Needed so that the fonts on the fonts dropdown in the TinyMce editor are rendered correctly. */
@import "amfonts.css";
* {
    box-sizing: border-box;
}

html {
    height: 100%;
}

body {
    position: relative;
    background-color: #eee;
    margin: 0;
    padding: 0;
    padding-bottom: 6rem !important;
    min-height: 100%;
}

body.overlay-showing {
    overflow: hidden;
}

.body-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 30;
    background-color: rgba(0,0,0,0.3);
    overflow: hidden;
}

.site-wrapper {
    /*width: 980px;*/
    min-height: 93vh;
    margin: 0 auto;
    background-color: white;
    padding-bottom: 20px;
}

.site-content {
    padding: 12px 24px;
}

footer {
    position: absolute;
    right: 0;
    bottom: 0;
    left: 0;
    padding: 1rem !important;
    background-color: #efefef;
    text-align: center;
}

.bold {
    font-weight: bold;
}

.site-head__brand, .site-head__brand img {
    width: 125px;
}

@media screen and (min-width: 1260px) {
    .site-head__brand, .site-head__brand img {
        width: 150px
    }
}

/* Header tabs temp fix */
.site-nav__link.is-active:after {
    height: 100% !important;
    border-radius: 6px !important;
}

/* Forms */
.input-sm {
    width: 80px;
}

.input-md {
    width: 150px;
}

.input-stealth {
    border-color: transparent;
    background-color: transparent;
    border-width: 0;
    background: none;
    appearance: none;
    -moz-appearance: none;
    -webkit-appearance: none;
    box-shadow: none;
}

.input-stealth:hover, .input-stealth:focus {
    background-color: #fff;
    border: 1px solid #888;
}

.input-stealth:hover {
    cursor: pointer;
}

.input-stealth:focus {
    cursor: text;
}

.alt.input-stealth:hover, .alt.input-stealth:hover {
    background-color: #f9f8f9;
}

select.input-stealth:hover, select.input-stealth:focus {
    background-image: linear-gradient(45deg, transparent 50%, gray 50%), linear-gradient(135deg, gray 50%, transparent 50%);
    background-position: calc(100% - 12px) calc(50% + 1px), calc(100% - 7px) calc(50% + 1px);
    background-size: 5px 5px, 5px 5px;
    background-repeat: no-repeat;
}

select.alt.input-stealth:hover, select.alt.input-stealth:focus {
    background-image: linear-gradient(45deg, transparent 50%, gray 100%), linear-gradient(135deg, gray 50%, transparent 50%);
}


/* Field Editing */
.configure-fields-header .configure-field-item {
    background-color: #ccc;
    font-weight: bold;
    font-size: 0.8em;
    padding-left: 8px;
}

.configure-field-item {
    vertical-align: top;
    display: table-cell;
    padding: 6px;
    border-top: 1px solid #bbb;
}

.configure-field-type {
    width: 200px;
}

.configure-field-required {
    width: 200px;
}

.add-field-wrapper {
    border-top: 1px solid #bbb;
    background-color: #ddd;
    margin: 12px 0;
    padding: 6px;
}

/* Messages and CTAs */
p.info {
    margin: 6px 0;
    font-size: 0.9em;
}


/* General */
.no-padding {
    padding: 0 !important;
}

.no-padding-left {
    padding-left: 0;
}

.no-padding-top {
    padding-top: 0;
}

.margin-top-10 {
    margin-top: 10px;
}

.margin-bottom-20 {
    margin-bottom: 20px;
}

.alert-bootstrap-override {
    padding: 0;
    margin-bottom: 0;
    border: 0;
}

.margin-auto {
    margin: auto;
}

.padding-10 {
    padding: 10px;
}

.hide {
    display: none;
}

.form-field--midi {
    padding: 8px;
}

a.disabled {
    cursor: default;
    pointer-events: none;
    opacity: 0.5;
}

.tab-pane {
    display: none;
}

.tab-pane.active {
    display: block;
}

.orange-underline {
    text-decoration: underline;
    color: #F06E11;
}

.no-margin {
    margin: 0;
}

.button-left-margin-15 {
    margin-left: 15px;
}

.dz-default.dz-message {
    display: none;
}

.modal-background-off-color {
    background-color: #eeeced;
}

option[disabled="true"] {
    color: black;
    opacity: 0.15;
}

.small-icon-round-border {
    height: 20px;
    width: 20px;
    display: inline-block;
    vertical-align: bottom;
    border-radius: 50%;
    fill: white;
    padding: 5px;
    margin-right: 3px;
}

.small-icon-round-border.green-background {
    background-color: yellowgreen;
}

.small-icon-round-border.orange-background {
    background-color: darkorange;
}

.small-icon-round-border .icon {
    width: 10px;
    height: 10px;
    vertical-align: top;
}

#import-progress-modal .results-container div:first-child {
    margin-bottom: 10px;
}

.ui-progressbar {
    height: 1em !important;
}

.display-inline-block {
    display: inline-block;
}

/* Help Modal Content */
#help-modal h4 {
    color: #ba0063;
}

#help-modal .button:not(.close) {
    text-align: center;
    width: 175px;
}

#help-modal-accordion-container {
    font-size: 12px;
}

.getting-started-list {
    list-style: initial;
    padding: 0 20px;
}

.getting-started-list li {
    color: #ba0063;
}

.getting-started-list li span {
    color: black;
}

.upload-ok {
    background-color: #ccffcc;
}

.upload-failed {
    background-color: #e28895;
}

.upload-hover {
    background-color: aliceblue;
    border-style: solid;
}

.view__header.collapsed {
    padding-top: 0px;
    padding-bottom: 5px;
}

.view__header__toggle-action.collapsed {
    bottom: -5px;
}

.mysites__details {
    font-size: 0.9em;
}

.mysites__details label {
    font-weight: bold;
}

.mysites__actions:after {
    content: ' ';
    clear: both;
    display: block;
}

.mysites__edit {
    float: right;
}

.section-background-colour {
    background-color: #e6e5e5;
    padding: 20px;
}

.section-heading {
    color: #332F31;
    font-weight: 500;
    font-size: 20px;
}


.section-heading.small {
    font-weight: normal;
    font-size: 12px;
}

.section-heading-subtitle {
    padding-top: 10px;
}

.section-subheading {
    color: #332F31;
    font-weight: 500;
    font-size: 16px;
    display:inline-block;
    margin-top:30px;
}

.one-whole .form__group.section-breathe {   
    margin-top: 15px;
    padding: 0px;
}

.one-whole.section-subheading + .helper {
    margin-top: 5px;
}

.section-breathe.breathe--mini-top {
    margin-top: 15px;
}

.section-column.vertical-flow--mini > * + * {
    padding-top: 0px;
    margin-top: 15px;
}

.section-column .section-subheading{
    margin-top: 30px;
}

.section-column .section-subheading.small-top-margin {
    margin-top: 10px;
}

.width-60Percent {
    width: 60%;
}

.inner-background-colour {
    background-color: #EDEDED;
    padding: 10px;
}

.pink-heading {
    color: #e50079;
    font-weight: bold;
}

.pink-heading.small {
    font-weight: normal;
    font-size: 12px;
}

.dark-heading {
    color: #332F31;
    font-weight: bold;
}

.dark-heading.small {
    font-weight: normal;
    font-size: 12px;
}

.validation-list {
    list-style: circle;
    margin-left: 20px;
}

.validation-caption {
    margin-bottom: 8px;
}

.validation-figure {
    background-color: #e25d5d;
    color: white;
    margin: 10px;
}

.tox-tinymce {
    min-height: 200px;
}

.mt-7px {
    margin-top: 7px !important;
}

.no-transform:hover {
    transform: none;
}
.qcp-help {
    margin-right: 15px;
    transition: all .2s ease;
    text-decoration: none;
    outline: none;
}

.qcp-help > span {
    color: #595959;
    font-size: 24px;
    border: 1px solid white;
    border-radius: 100%;
    height: 30px;
    width: 30px;
    line-height: 28px;
    text-align: center;
    display: flex;
    align-content: center;
    justify-content: center;
    padding-right: 1px;
}

.qcp-help:hover > span,
.qcp-help:focus > span {
    color: #e50079;
    background-color: #332f31;
}

.qcp-help:focus > span {
    position: relative;
    line-height: 26px;
}

.qcp-help:focus > span:after {
    position: absolute;
    content: '';
    width: 34px;
    height: 34px;
    left: -3px;
    top: -3px;
    border: 1px solid white;
    border-radius: 100%;
}

.skip-main__show-on-focus:focus {
    height: auto !important;
    width: auto !important;
    clip: auto !important;
    padding: 11px !important;
    border: initial !important;
    transition: all 0s !important;
    top: 20px !important;
    z-index: 1000;
    margin-left: 20px;
    background-color:#e50079;
    color: white;
}

.section-container {
    padding-left: 5px !important;
    padding-right: 5px !important;
}

.colour-palette.js-styles__colour-palette {
    padding: 0 5px;
}

.font-set.js-styles__font-set {
    padding: 0 5px;
}

.media-library-grid{
    padding:5px;
}
